Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network115.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
115.0.0.0
Broadcast address
115.255.255.255
First usable
115.0.0.1
Last usable
115.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 73000000 · Integer 1929379840 to 1946157055
Reverse DNS zone
115.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110011..00000000.00000000.00000000115.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01110011..00000000.00000000.00000000115.0.0.0
Broadcast01110011..11111111.11111111.11111111115.255.255.255
Split into smaller subnets/15

115.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1115.0.0.0/15115.0.0.1 to 115.1.255.254115.1.255.255131,070
2115.2.0.0/15115.2.0.1 to 115.3.255.254115.3.255.255131,070
3115.4.0.0/15115.4.0.1 to 115.5.255.254115.5.255.255131,070
4115.6.0.0/15115.6.0.1 to 115.7.255.254115.7.255.255131,070
5115.8.0.0/15115.8.0.1 to 115.9.255.254115.9.255.255131,070
6115.10.0.0/15115.10.0.1 to 115.11.255.254115.11.255.255131,070
7115.12.0.0/15115.12.0.1 to 115.13.255.254115.13.255.255131,070
8115.14.0.0/15115.14.0.1 to 115.15.255.254115.15.255.255131,070
9115.16.0.0/15115.16.0.1 to 115.17.255.254115.17.255.255131,070
10115.18.0.0/15115.18.0.1 to 115.19.255.254115.19.255.255131,070
11115.20.0.0/15115.20.0.1 to 115.21.255.254115.21.255.255131,070
12115.22.0.0/15115.22.0.1 to 115.23.255.254115.23.255.255131,070
13115.24.0.0/15115.24.0.1 to 115.25.255.254115.25.255.255131,070
14115.26.0.0/15115.26.0.1 to 115.27.255.254115.27.255.255131,070
15115.28.0.0/15115.28.0.1 to 115.29.255.254115.29.255.255131,070
16115.30.0.0/15115.30.0.1 to 115.31.255.254115.31.255.255131,070
17115.32.0.0/15115.32.0.1 to 115.33.255.254115.33.255.255131,070
18115.34.0.0/15115.34.0.1 to 115.35.255.254115.35.255.255131,070
19115.36.0.0/15115.36.0.1 to 115.37.255.254115.37.255.255131,070
20115.38.0.0/15115.38.0.1 to 115.39.255.254115.39.255.255131,070
21115.40.0.0/15115.40.0.1 to 115.41.255.254115.41.255.255131,070
22115.42.0.0/15115.42.0.1 to 115.43.255.254115.43.255.255131,070
23115.44.0.0/15115.44.0.1 to 115.45.255.254115.45.255.255131,070
24115.46.0.0/15115.46.0.1 to 115.47.255.254115.47.255.255131,070
25115.48.0.0/15115.48.0.1 to 115.49.255.254115.49.255.255131,070
26115.50.0.0/15115.50.0.1 to 115.51.255.254115.51.255.255131,070
27115.52.0.0/15115.52.0.1 to 115.53.255.254115.53.255.255131,070
28115.54.0.0/15115.54.0.1 to 115.55.255.254115.55.255.255131,070
29115.56.0.0/15115.56.0.1 to 115.57.255.254115.57.255.255131,070
30115.58.0.0/15115.58.0.1 to 115.59.255.254115.59.255.255131,070
31115.60.0.0/15115.60.0.1 to 115.61.255.254115.61.255.255131,070
32115.62.0.0/15115.62.0.1 to 115.63.255.254115.63.255.255131,070
33115.64.0.0/15115.64.0.1 to 115.65.255.254115.65.255.255131,070
34115.66.0.0/15115.66.0.1 to 115.67.255.254115.67.255.255131,070
35115.68.0.0/15115.68.0.1 to 115.69.255.254115.69.255.255131,070
36115.70.0.0/15115.70.0.1 to 115.71.255.254115.71.255.255131,070
37115.72.0.0/15115.72.0.1 to 115.73.255.254115.73.255.255131,070
38115.74.0.0/15115.74.0.1 to 115.75.255.254115.75.255.255131,070
39115.76.0.0/15115.76.0.1 to 115.77.255.254115.77.255.255131,070
40115.78.0.0/15115.78.0.1 to 115.79.255.254115.79.255.255131,070
41115.80.0.0/15115.80.0.1 to 115.81.255.254115.81.255.255131,070
42115.82.0.0/15115.82.0.1 to 115.83.255.254115.83.255.255131,070
43115.84.0.0/15115.84.0.1 to 115.85.255.254115.85.255.255131,070
44115.86.0.0/15115.86.0.1 to 115.87.255.254115.87.255.255131,070
45115.88.0.0/15115.88.0.1 to 115.89.255.254115.89.255.255131,070
46115.90.0.0/15115.90.0.1 to 115.91.255.254115.91.255.255131,070
47115.92.0.0/15115.92.0.1 to 115.93.255.254115.93.255.255131,070
48115.94.0.0/15115.94.0.1 to 115.95.255.254115.95.255.255131,070
49115.96.0.0/15115.96.0.1 to 115.97.255.254115.97.255.255131,070
50115.98.0.0/15115.98.0.1 to 115.99.255.254115.99.255.255131,070
51115.100.0.0/15115.100.0.1 to 115.101.255.254115.101.255.255131,070
52115.102.0.0/15115.102.0.1 to 115.103.255.254115.103.255.255131,070
53115.104.0.0/15115.104.0.1 to 115.105.255.254115.105.255.255131,070
54115.106.0.0/15115.106.0.1 to 115.107.255.254115.107.255.255131,070
55115.108.0.0/15115.108.0.1 to 115.109.255.254115.109.255.255131,070
56115.110.0.0/15115.110.0.1 to 115.111.255.254115.111.255.255131,070
57115.112.0.0/15115.112.0.1 to 115.113.255.254115.113.255.255131,070
58115.114.0.0/15115.114.0.1 to 115.115.255.254115.115.255.255131,070
59115.116.0.0/15115.116.0.1 to 115.117.255.254115.117.255.255131,070
60115.118.0.0/15115.118.0.1 to 115.119.255.254115.119.255.255131,070
61115.120.0.0/15115.120.0.1 to 115.121.255.254115.121.255.255131,070
62115.122.0.0/15115.122.0.1 to 115.123.255.254115.123.255.255131,070
63115.124.0.0/15115.124.0.1 to 115.125.255.254115.125.255.255131,070
64115.126.0.0/15115.126.0.1 to 115.127.255.254115.127.255.255131,070
65115.128.0.0/15115.128.0.1 to 115.129.255.254115.129.255.255131,070
66115.130.0.0/15115.130.0.1 to 115.131.255.254115.131.255.255131,070
67115.132.0.0/15115.132.0.1 to 115.133.255.254115.133.255.255131,070
68115.134.0.0/15115.134.0.1 to 115.135.255.254115.135.255.255131,070
69115.136.0.0/15115.136.0.1 to 115.137.255.254115.137.255.255131,070
70115.138.0.0/15115.138.0.1 to 115.139.255.254115.139.255.255131,070
71115.140.0.0/15115.140.0.1 to 115.141.255.254115.141.255.255131,070
72115.142.0.0/15115.142.0.1 to 115.143.255.254115.143.255.255131,070
73115.144.0.0/15115.144.0.1 to 115.145.255.254115.145.255.255131,070
74115.146.0.0/15115.146.0.1 to 115.147.255.254115.147.255.255131,070
75115.148.0.0/15115.148.0.1 to 115.149.255.254115.149.255.255131,070
76115.150.0.0/15115.150.0.1 to 115.151.255.254115.151.255.255131,070
77115.152.0.0/15115.152.0.1 to 115.153.255.254115.153.255.255131,070
78115.154.0.0/15115.154.0.1 to 115.155.255.254115.155.255.255131,070
79115.156.0.0/15115.156.0.1 to 115.157.255.254115.157.255.255131,070
80115.158.0.0/15115.158.0.1 to 115.159.255.254115.159.255.255131,070
81115.160.0.0/15115.160.0.1 to 115.161.255.254115.161.255.255131,070
82115.162.0.0/15115.162.0.1 to 115.163.255.254115.163.255.255131,070
83115.164.0.0/15115.164.0.1 to 115.165.255.254115.165.255.255131,070
84115.166.0.0/15115.166.0.1 to 115.167.255.254115.167.255.255131,070
85115.168.0.0/15115.168.0.1 to 115.169.255.254115.169.255.255131,070
86115.170.0.0/15115.170.0.1 to 115.171.255.254115.171.255.255131,070
87115.172.0.0/15115.172.0.1 to 115.173.255.254115.173.255.255131,070
88115.174.0.0/15115.174.0.1 to 115.175.255.254115.175.255.255131,070
89115.176.0.0/15115.176.0.1 to 115.177.255.254115.177.255.255131,070
90115.178.0.0/15115.178.0.1 to 115.179.255.254115.179.255.255131,070
91115.180.0.0/15115.180.0.1 to 115.181.255.254115.181.255.255131,070
92115.182.0.0/15115.182.0.1 to 115.183.255.254115.183.255.255131,070
93115.184.0.0/15115.184.0.1 to 115.185.255.254115.185.255.255131,070
94115.186.0.0/15115.186.0.1 to 115.187.255.254115.187.255.255131,070
95115.188.0.0/15115.188.0.1 to 115.189.255.254115.189.255.255131,070
96115.190.0.0/15115.190.0.1 to 115.191.255.254115.191.255.255131,070
97115.192.0.0/15115.192.0.1 to 115.193.255.254115.193.255.255131,070
98115.194.0.0/15115.194.0.1 to 115.195.255.254115.195.255.255131,070
99115.196.0.0/15115.196.0.1 to 115.197.255.254115.197.255.255131,070
100115.198.0.0/15115.198.0.1 to 115.199.255.254115.199.255.255131,070
101115.200.0.0/15115.200.0.1 to 115.201.255.254115.201.255.255131,070
102115.202.0.0/15115.202.0.1 to 115.203.255.254115.203.255.255131,070
103115.204.0.0/15115.204.0.1 to 115.205.255.254115.205.255.255131,070
104115.206.0.0/15115.206.0.1 to 115.207.255.254115.207.255.255131,070
105115.208.0.0/15115.208.0.1 to 115.209.255.254115.209.255.255131,070
106115.210.0.0/15115.210.0.1 to 115.211.255.254115.211.255.255131,070
107115.212.0.0/15115.212.0.1 to 115.213.255.254115.213.255.255131,070
108115.214.0.0/15115.214.0.1 to 115.215.255.254115.215.255.255131,070
109115.216.0.0/15115.216.0.1 to 115.217.255.254115.217.255.255131,070
110115.218.0.0/15115.218.0.1 to 115.219.255.254115.219.255.255131,070
111115.220.0.0/15115.220.0.1 to 115.221.255.254115.221.255.255131,070
112115.222.0.0/15115.222.0.1 to 115.223.255.254115.223.255.255131,070
113115.224.0.0/15115.224.0.1 to 115.225.255.254115.225.255.255131,070
114115.226.0.0/15115.226.0.1 to 115.227.255.254115.227.255.255131,070
115115.228.0.0/15115.228.0.1 to 115.229.255.254115.229.255.255131,070
116115.230.0.0/15115.230.0.1 to 115.231.255.254115.231.255.255131,070
117115.232.0.0/15115.232.0.1 to 115.233.255.254115.233.255.255131,070
118115.234.0.0/15115.234.0.1 to 115.235.255.254115.235.255.255131,070
119115.236.0.0/15115.236.0.1 to 115.237.255.254115.237.255.255131,070
120115.238.0.0/15115.238.0.1 to 115.239.255.254115.239.255.255131,070
121115.240.0.0/15115.240.0.1 to 115.241.255.254115.241.255.255131,070
122115.242.0.0/15115.242.0.1 to 115.243.255.254115.243.255.255131,070
123115.244.0.0/15115.244.0.1 to 115.245.255.254115.245.255.255131,070
124115.246.0.0/15115.246.0.1 to 115.247.255.254115.247.255.255131,070
125115.248.0.0/15115.248.0.1 to 115.249.255.254115.249.255.255131,070
126115.250.0.0/15115.250.0.1 to 115.251.255.254115.251.255.255131,070
127115.252.0.0/15115.252.0.1 to 115.253.255.254115.253.255.255131,070
128115.254.0.0/15115.254.0.1 to 115.255.255.254115.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses